DefaultRoutePlanner (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn
Class DefaultRoutePlanner

    java.lang.Object
      org.apache.http.impl.conn.DefaultRoutePlanner

All Implemented Interfaces:
  HttpRoutePlanner

Direct Known Subclasses:
  DefaultProxyRoutePlanner, SystemDefaultRoutePlanner

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class DefaultRoutePlanner

extends Object
implements HttpRoutePlanner

Default implementation of an `HttpRoutePlanner`. It will not make use of any Java system properties, nor of system or browser proxy settings.

Since:
  4.3

Constructor Summary
`DefaultRoutePlanner(SchemePortResolver schemePortResolver)`

Method Summary
`protected org.apache.http.HttpHost` | `determineProxy(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` This implementation returns null.
`HttpRoute` | `determineRoute(org.apache.http.HttpHost host, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` Determines the route for a request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRoutePlanner

    public DefaultRoutePlanner(SchemePortResolver schemePortResolver)

Method Detail

### determineRoute

    public HttpRoute determineRoute(org.apache.http.HttpHost host,
                                    org.apache.http.HttpRequest request,
                                    org.apache.http.protocol.HttpContext context)
                             throws org.apache.http.HttpException

  Description copied from interface: `HttpRoutePlanner`
  Determines the route for a request.

  Specified by:
    `determineRoute` in interface `HttpRoutePlanner`
  Parameters:
    `host` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
    `request` - the request to execute
    `context` - the context to use for the subsequent execution. Implementations may accept `null`.
  Returns:
    the route that the request should take
  Throws:
    `org.apache.http.HttpException` - in case of a problem

### determineProxy

    protected org.apache.http.HttpHost determineProxy(org.apache.http.HttpHost target,
                                                      org.apache.http.HttpRequest request,
                                                      org.apache.http.protocol.HttpContext context)
                                               throws org.apache.http.HttpException

  This implementation returns null.

  Throws:
    `org.apache.http.HttpException` - may be thrown if overridden

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.